Package org.apache.cxf.annotations

# Annotation Interface Policy

@Documented @Retention(RUNTIME) @Target({TYPE,METHOD}) @Inherited public @interface Policy
Attaches a Policy to a service or method

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Policy.DEFAULT`
  `static enum`
  `Policy.Placement`

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `uri`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Class<?>`
  `faultClass`
  If Placement is PORT_TYPE_OPERATION_FAULT, or BINDING_OPERATION_FAULT, return the fault class associated with this documentation
  `boolean`
  `includeInWSDL`
  `Policy.Placement`
  `placement`
  The place to put the PolicyReference.

- ## Element Details

  - ### uri

    String uri

- - ### includeInWSDL

    boolean includeInWSDL
    Default:
      true

  - ### placement

    Policy.Placement placement
    The place to put the PolicyReference. The Default depends on the location of the annotation. On the method in the SEI, it would be the binding/operation, on the SEI, it would be the binding, on the service impl, the service element.
    Returns:
      location
    Default:
      DEFAULT

  - ### faultClass

    Class<?> faultClass
    If Placement is PORT_TYPE_OPERATION_FAULT, or BINDING_OPERATION_FAULT, return the fault class associated with this documentation
    Returns:
      the fault class
    Default:
      org.apache.cxf.annotations.Policy.DEFAULT.class